local onEvent = function(self, event, ...)
  self[event](self, event, ...)
end

HSK_Frame = CreateFrame("Frame", "HSKFrame")
HSK_Frame:SetWidth(200)
HSK_Frame:SetHeight(800)
HSK_Frame:SetPoint("CENTER", UIParent, "CENTER", -400, 50)

local list = HSK_Frame:CreateFontString(nil, "OVERLAY")
list:SetAllPoints(HSK_Frame)
list:SetFont(STANDARD_TEXT_FONT, 8) 
list:SetJustifyH("LEFT")
list:SetTextColor(1, 1, 1)
list:SetShadowOffset(0.7, -0.7)

local cachedText = nil

function HSK_Frame:ShowSuicideList(newText)
  list:SetText(newText or cachedText or "")
end

function HSK_Frame:Show()
  list:SetText(cachedText or "i can HazLoot?")
end

function HSK_Frame:Hide()
  cachedText = list:GetText()
  list:SetText("")
end
